Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ener_conserv.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ener_conserv.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ener_conserv.F90	(revision 4727)
@@ -32,8 +32,8 @@
 
 IMPLICIT none
-#include "YOMCST.h"
-#include "YOETHF.h"
-#include "clesphys.h"
-#include "compbl.h"
+INCLUDE "YOMCST.h"
+INCLUDE "YOETHF.h"
+INCLUDE "clesphys.h"
+INCLUDE "compbl.h"
 
 ! Arguments
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/evappot.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/evappot.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/evappot.F90	(revision 4727)
@@ -4,7 +4,7 @@
 IMPLICIT NONE
 
-#include "YOMCST.h"
-#include "YOETHF.h"
-#include "FCTTRE.h"
+INCLUDE "YOMCST.h"
+INCLUDE "YOETHF.h"
+INCLUDE "FCTTRE.h"
 
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ice_sursat_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ice_sursat_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ice_sursat_mod.F90	(revision 4727)
@@ -308,5 +308,4 @@
   INCLUDE "YOETHF.h"
   INCLUDE "FCTTRE.h"
-  INCLUDE "fisrtilp.h"
   INCLUDE "clesphys.h"
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/icefrac_lsc_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/icefrac_lsc_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/icefrac_lsc_mod.F90	(revision 4727)
@@ -17,7 +17,6 @@
   
   USE print_control_mod, ONLY: lunout, prt_level
-  INCLUDE "nuage.h"
-
-  ! nuage.h contains:
+  USE lmdz_lscp_ini, ONLY: t_glace_min, t_glace_max, exposant_glace, iflag_t_glace
+  ! lscp_ini contains:
   ! t_glace_min: if T < Tmin, the cloud is only made of water ice
   ! t_glace_max: if T > Tmax, the cloud is only made of liquid water
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/infotrac_phy.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/infotrac_phy.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/infotrac_phy.F90	(revision 4727)
@@ -19,4 +19,9 @@
    PUBLIC :: nbtr_bin, nbtr_sulgas                         !--- Number of aerosols bins and sulfur gases for StratAer model
    PUBLIC :: id_OCS_strat, id_SO2_strat, id_H2SO4_strat, id_BIN01_strat, id_TEST_strat
+#endif
+#ifdef REPROBUS
+   PUBLIC :: nbtr_bin, nbtr_sulgas
+   PUBLIC :: id_OCS_strat, id_SO2_strat, id_H2SO4_strat, id_BIN01_strat, &
+             id_TEST_strat
 #endif
 
@@ -68,5 +73,5 @@
 !  | longName    | Long name (with adv. scheme suffix) for outputs      | ttext       |                        |
 !  | type        | Type (so far: tracer or tag)                         | /           | tracer,tag             |
-!  | phase       | Phases list ("g"as / "l"iquid / "s"olid)             | /           | [g][l][s]              |
+!  | phase       | Phases list ("g"as / "l"iquid / "s"olid / "b"lowing) | /           | [g][l][s][b]           |
 !  | component   | Name(s) of the merged/cumulated section(s)           | /           | coma-separated names   |
 !  | iGeneration | Generation (>=1)                                     | /           |                        |
@@ -93,5 +98,5 @@
 !  | trac   | ntiso  | Isotopes + tagging tracers list + number         | / | ntraciso       |                 |
 !  | zone   | nzone  | Geographic tagging zones   list + number         | / | ntraceurs_zone |                 |
-!  | phase  | nphas  | Phases                     list + number         |                    | [g][l][s], 1:3  |
+!  | phase  | nphas  | Phases                     list + number         |                    |[g][l][s][b] 1:4 |
 !  | iqIsoPha        | Index in "qx"           = f(name(1:ntiso)),phas) | iqiso              | 1:nqtot         |
 !  | itZonIso        | Index in "trac(1:ntiso)"= f(zone, name(1:niso))  | index_trac         | 1:ntiso         |
@@ -118,4 +123,12 @@
   INTEGER, SAVE ::  id_OCS_strat, id_SO2_strat, id_H2SO4_strat, id_BIN01_strat, id_TEST_strat
 !$OMP THREADPRIVATE(id_OCS_strat, id_SO2_strat, id_H2SO4_strat, id_BIN01_strat, id_TEST_strat)
+#endif
+#ifdef REPROBUS
+  INTEGER, SAVE ::  nbtr_bin, nbtr_sulgas
+!$OMP THREADPRIVATE(nbtr_bin, nbtr_sulgas)
+  INTEGER, SAVE ::  id_OCS_strat, id_SO2_strat, id_H2SO4_strat, id_BIN01_strat,&
+                    id_TEST_strat
+!$OMP THREADPRIVATE(id_OCS_strat, id_SO2_strat, id_H2SO4_strat, id_BIN01_strat)
+!$OMP THREADPRIVATE(id_TEST_strat)
 #endif
 
@@ -175,5 +188,6 @@
    TYPE(trac_type), POINTER             :: t1, t(:)
    INTEGER :: ierr
-
+   CHARACTER(LEN=maxlen),   ALLOCATABLE :: types_trac(:)  !--- Keyword for tracers type(s), parsed version
+   
    CHARACTER(LEN=*), PARAMETER :: modname="init_infotrac_phy"
 !------------------------------------------------------------------------------------------------------------------------------
@@ -187,4 +201,12 @@
 
    CALL getin_p('type_trac',type_trac)
+
+   lerr=strParse(type_trac, '|', types_trac, n=nt)
+   IF (nt .GT. 1) THEN
+      IF (nt .GT. 2) CALL abort_physic(modname, 'you need to modify type_trac, this version is not supported by lmdz', 1)
+      IF (nt .EQ. 2) type_trac=types_trac(2)
+   ENDIF
+
+   
    CALL msg('type_trac = "'//TRIM(type_trac)//'"', modname)
    lInit = .NOT.ALLOCATED(tracers)
@@ -202,5 +224,5 @@
       CASE('coag'); CALL msg(TRIM(msg1)//' tracers are treated for COAGULATION tests', modname)
       CASE('lmdz'); CALL msg(TRIM(msg1)//' tracers are treated in LMDZ only',          modname)
-      CASE DEFAULT; CALL abort_gcm(modname,'type_trac='//TRIM(type_trac)//' not possible yet.',1)
+      CASE DEFAULT; CALL abort_physic(modname,'type_trac='//TRIM(type_trac)//' not possible yet.',1)
    END SELECT
 
@@ -209,13 +231,13 @@
       CASE('inca', 'inco')
 #ifndef INCA
-         CALL abort_gcm(modname, 'You must add cpp key INCA and compile with INCA code', 1)
+         CALL abort_physic(modname, 'You must add cpp key INCA and compile with INCA code', 1)
 #endif
       CASE('repr')
 #ifndef REPROBUS
-         CALL abort_gcm(modname, 'You must add cpp key REPROBUS and compile with REPROBUS code', 1)
+         CALL abort_physic(modname, 'You must add cpp key REPROBUS and compile with REPROBUS code', 1)
 #endif
       CASE('coag')
 #ifndef CPP_StratAer
-         CALL abort_gcm(modname, 'You must add cpp key StratAer and compile with StratAer code', 1)
+         CALL abort_physic(modname, 'You must add cpp key StratAer and compile with StratAer code', 1)
 #endif
    END SELECT
@@ -234,10 +256,11 @@
 
    !=== DETERMINE THE TYPE OF THE INPUT TRACERS DESCRIPTION FILE
-   IF(testTracersFiles(modname, texp, fType, lInit)) CALL abort_gcm(modname, 'problem with tracers file(s)',1)
+   IF(testTracersFiles(modname, texp, fType, lInit)) CALL abort_physic(modname, 'problem with tracers file(s)',1)
+
    ttp = type_trac; IF(fType /= 1) ttp = texp
 
 !##############################################################################################################################
    IF(lInit) THEN
-      IF(readTracersFiles(ttp, type_trac == 'repr')) CALL abort_gcm(modname, 'problem with tracers file(s)',1)
+      IF(readTracersFiles(ttp, type_trac == 'repr')) CALL abort_physic(modname, 'problem with tracers file(s)',1)
    ELSE
       CALL msg('No tracers description file(s) reading needed: already done in the dynamics', modname)
@@ -246,5 +269,5 @@
 
    !---------------------------------------------------------------------------------------------------------------------------
-   IF(fType == 0) CALL abort_gcm(modname, 'Missing tracers file: "traceur.def", "tracer.def" or "tracer_<keyword>.def file.',1)
+   IF(fType == 0) CALL abort_physic(modname, 'Missing tracers file: "traceur.def", "tracer.def" or "tracer_<keyword>.def file.',1)
    !---------------------------------------------------------------------------------------------------------------------------
    IF(fType == 1 .AND. ANY(['inca','inco']==type_trac) .AND. lInit) THEN  !=== FOUND OLD STYLE INCA "traceur.def"
@@ -255,5 +278,5 @@
       nbtr = nqINCA + nqCO2                                          !--- Number of tracers passed to phytrac
       nqtrue = nbtr + nqo                                            !--- Total number of "true" tracers
-      IF(ALL([2,3] /= nqo)) CALL abort_gcm(modname, 'Only 2 or 3 water phases allowed ; found nqo='//TRIM(int2str(nqo)), 1)
+      IF(ALL([2,3] /= nqo)) CALL abort_physic(modname, 'Only 2 or 3 water phases allowed ; found nqo='//TRIM(int2str(nqo)), 1)
       ALLOCATE(hadv(nqtrue), hadv_inca(nqINCA), conv_flg_inca(nqINCA), solsym_inca(nqINCA))
       ALLOCATE(vadv(nqtrue), vadv_inca(nqINCA),  pbl_flg_inca(nqINCA))
@@ -279,5 +302,5 @@
          CALL addKey('phase',     t1%phase,     t1%keys)
       END DO
-      IF(setGeneration(tracers)) CALL abort_gcm(modname,'See above',1) !- SET FIELDS %iGeneration, %gen0Name
+      IF(setGeneration(tracers)) CALL abort_physic(modname,'See below',1) !- SET FIELDS %iGeneration, %gen0Name
       DEALLOCATE(had, hadv_inca, vad, vadv_inca, conv_flg_inca, pbl_flg_inca, solsym_inca)
 #endif
@@ -314,5 +337,5 @@
       IF( hadv(iq)<20 .OR. (ANY(hadv(iq)==[20,30]) .AND. hadv(iq)==vadv(iq)) ) CYCLE
       WRITE(msg1,'("The choice hadv=",i0,", vadv=",i0,a)')hadv(iq),vadv(iq),' for "'//TRIM(tracers(iq)%name)//'" is not available'
-      CALL abort_gcm(modname, TRIM(msg1), 1)
+      CALL abort_physic(modname, TRIM(msg1), 1)
    END DO
    nqtot =    COUNT( hadv< 20 .AND. vadv< 20 ) &                     !--- No additional tracer
@@ -340,5 +363,5 @@
       IF(hadv(iq)==10 .AND. vadv(iq)==16) iad = 11
       WRITE(msg1,'("Bad choice of advection scheme for ",a,": hadv = ",i0,", vadv = ",i0)')TRIM(t1%name), hadv(iq), vadv(iq)
-      IF(iad == -1) CALL abort_gcm(modname, msg1, 1)
+      IF(iad == -1) CALL abort_physic(modname, msg1, 1)
 
       !--- SET FIELDS %longName, %isAdvected, %isInPhysics
@@ -381,5 +404,5 @@
    !=== READ PHYSICAL PARAMETERS FOR ISOTOPES
    niso = 0; nzone = 0; nphas = nqo; ntiso = 0; isoCheck = .FALSE.
-   IF(readIsotopesFile()) CALL abort_gcm(modname, 'Problem when reading isotopes parameters', 1)
+   IF(readIsotopesFile()) CALL abort_physic(modname, 'Problem when reading isotopes parameters', 1)
 
 !##############################################################################################################################
@@ -387,11 +410,11 @@
 !##############################################################################################################################
    !--- Convection / boundary layer activation for all tracers
-   ALLOCATE(conv_flg(nbtr)); conv_flg(1:nbtr) = 1
-   ALLOCATE( pbl_flg(nbtr));  pbl_flg(1:nbtr) = 1
+   IF (.NOT.ALLOCATED(conv_flg)) ALLOCATE(conv_flg(nbtr)); conv_flg(1:nbtr) = 1
+   IF (.NOT.ALLOCATED(pbl_flg)) ALLOCATE( pbl_flg(nbtr));  pbl_flg(1:nbtr) = 1
 
    !--- Note: nqtottr can differ from nbtr when nmom/=0
    nqtottr = nqtot - COUNT(delPhase(tracers%gen0Name) == 'H2O' .AND. tracers%component == 'lmdz')
    IF(COUNT(tracers%iso_iName == 0) - COUNT(delPhase(tracers%name) == 'H2O' .AND. tracers%component == 'lmdz') /= nqtottr) &
-      CALL abort_gcm(modname, 'pb dans le calcul de nqtottr', 1)
+      CALL abort_physic(modname, 'pb dans le calcul de nqtottr', 1)
 
    !=== DISPLAY THE RESULTS
@@ -414,5 +437,5 @@
       cat([(iq, iq=1, nqtot)], t%iGeneration, t%iqParent, t%nqDescen, t%nqChildren, t%iso_iGroup,          &
                   t%iso_iName, t%iso_iZone, t%iso_iPhase), nColMax=maxTableWidth, nHead=2, sub=modname))   &
-      CALL abort_gcm(modname, "problem with the tracers table content", 1)
+      CALL abort_physic(modname, "problem with the tracers table content", 1)
    IF(niso > 0) THEN
       CALL msg('Where, for isotopes family "'//TRIM(isotope%parent)//'":', modname)
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_COSP.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_COSP.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_COSP.F90	(revision 4727)
@@ -0,0 +1,36 @@
+!  A.I avril 2023
+
+  subroutine ini_COSP(ref_liq_cosp0,ref_ice_cosp0,pctsrf_cosp0,zu10m_cosp0,zv10m_cosp0, &
+                      zxtsol_cosp0,zx_rh_cosp0,cldfra_cosp0,rnebcon_cosp0,flwc_cosp0, &
+                      fiwc_cosp0,prfl_cosp0,psfl_cosp0,pmflxr_cosp0,pmflxs_cosp0, &
+                      mr_ozone_cosp0,cldtau_cosp0,cldemi_cosp0,JrNt_cosp0)
+
+! Routine pour initialiser les champs input pour Cosp au  1er appel de celui-ci
+!         Ce 1er appel sert uniquement a definir les axes verticaux pour les 
+!         sortie Cosp
+
+      use dimphy
+      include "ini_COSP.h"
+
+      ! Initialisations pour le 1er passage a Cosp
+        ref_liq_cosp0=1.
+        ref_ice_cosp0=1.
+        pctsrf_cosp0=0.5
+        zu10m_cosp0=1.
+        zv10m_cosp0=1.
+        zxtsol_cosp0=288.
+        zx_rh_cosp0=1.
+        cldfra_cosp0=1.
+        rnebcon_cosp0=0.
+        flwc_cosp0=0.
+        fiwc_cosp0=0.
+        prfl_cosp0(:,1:klev)=0.
+        psfl_cosp0(:,1:klev)=0.
+        pmflxr_cosp0(:,1:klev)=0.
+        pmflxs_cosp0(:,1:klev)=0.
+        mr_ozone_cosp0=0.
+        cldtau_cosp0=0.
+        cldemi_cosp0=0.
+        JrNt_cosp0=0.
+
+     end subroutine ini_COSP
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_COSP.h
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_COSP.h	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_COSP.h	(revision 4727)
@@ -0,0 +1,24 @@
+! A.I mars 2023
+
+! Declaration des champs inputs a initialiser pour le simulateur d'observable satellite  COSP
+
+    REAL :: zx_rhcosp0(klon,klev), &
+            ref_liq_cosp0(klon,klev), ref_ice_cosp0(klon,klev), &
+            zx_rh_cosp0(klon,klev), cldfra_cosp0(klon,klev), rnebcon_cosp0(klon,klev), &
+            fiwc_cosp0(klon,klev), flwc_cosp0(klon,klev), prfl_cosp0(klon,klev), &
+            psfl_cosp0(klon,klev), pmflxr_cosp0(klon,klev), pmflxs_cosp0(klon,klev), &
+            mr_ozone_cosp0(klon,klev), cldtau_cosp0(klon,klev), cldemi_cosp0(klon,klev), &
+            pctsrf_cosp0(klon),zu10m_cosp0(klon),zv10m_cosp0(klon), &
+            zxtsol_cosp0(klon),JrNt_cosp0(klon)
+
+!   COMMON/iniCOSP/                                                 &
+!            zx_rhcosp0(klon,klev),ref_liq_cosp0(klon,klev), ref_ice_cosp0(klon,klev), &
+!	    zx_rh_cosp0(klon,klev), cldfra_cosp0(klon,klev), rnebcon_cosp0(klon,klev), &
+!            fiwc_cosp0(klon,klev), flwc_cosp0(klon,klev), prfl_cosp0(klon,klev), &
+!            psfl_cosp0(klon,klev), pmflxr_cosp0(klon,klev), pmflxs_cosp0(klon,klev), &
+!            mr_ozone_cosp0(klon,klev), cldtau_cosp0(klon,klev), cldemi_cosp0(klon,klev), &
+!            pctsrf_cosp0(klon),zu10m_cosp0(klon),zv10m_cosp0(klon), &
+!            zxtsol_cosp0(klon),JrNt_cosp0(klon)
+!	save /iniCOSP/
+!!$OMP THREADPRIVATE(/iniCOSP/)
+	
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_csts.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_csts.F90	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_csts.F90	(revision 4727)
@@ -0,0 +1,187 @@
+!SFX_LIC Copyright 1994-2014 CNRS, Meteo-France and Universite Paul Sabatier
+!SFX_LIC This is part of the SURFEX software governed by the CeCILL-C licence
+!SFX_LIC version 1. See LICENSE, CeCILL-C_V1-en.txt and CeCILL-C_V1-fr.txt  
+!SFX_LIC for details. version 1.
+!     #########
+      SUBROUTINE INI_CSTS 
+!     ##################
+!
+!!****  *INI_CSTS * - routine to initialize the module MODD_CST
+!!
+!!    PURPOSE
+!!    -------
+!       The purpose of this routine is to initialize  the physical constants
+!     stored in  module MODD_CST.
+!      
+!
+!!**  METHOD
+!!    ------
+!!      The physical constants are set to their numerical values 
+!!     
+!!
+!!    EXTERNAL
+!!    --------
+!!      FMLOOK : to retrieve logical unit number associated to a file
+!!
+!!    IMPLICIT ARGUMENTS
+!!    ------------------
+!!      Module MODD_CST     : contains physical constants
+!!
+!!    REFERENCE
+!!    ---------
+!!      Book2 of the documentation (module MODD_CST, routine INI_CSTS)
+!!      
+!!
+!!    AUTHOR
+!!    ------
+!!      V. Ducrocq       * Meteo France *
+!!
+!!    MODIFICATIONS
+!!    -------------
+!!      Original    18/05/94 
+!!      J. Stein    02/01/95  add the volumic mass of liquid water
+!!      J.-P. Pinty 13/12/95  add the water vapor pressure over solid ice
+!!      J. Stein    29/06/97  add XTH00
+!!      V. Masson   05/10/98  add XRHOLI
+!!      C. Mari     31/10/00  add NDAYSEC
+!!      V. Masson   01/03/03  add XCONDI
+!!      A. Voldoire 01/12/09  add XTTSI, XICEC, XTTS for ESM
+!!      J. Escobar  28/03/2014 for pb with emissivity/aerosol reset XSURF_TINY=1.0e-80 in real8 case
+!!
+!-------------------------------------------------------------------------------
+!
+!*       0.    DECLARATIONS
+!              ------------
+!
+USE MODD_CSTS
+!
+!
+!USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
+!USE PARKIND1  ,ONLY : JPRB
+!
+!USE MODI_INI_CTURBS
+!
+!USE MODI_INI_OCEAN_CSTS
+!
+!USE MODI_INI_SURF_CSTS
+!
+IMPLICIT NONE
+!  
+!-------------------------------------------------------------------------------
+!
+!*       1.     FUNDAMENTAL CONSTANTS
+!               ---------------------
+!
+
+!REAL(KIND=JPRB) :: ZHOOK_HANDLE
+
+!IF (LHOOK) CALL DR_HOOK('INI_CSTS',0,ZHOOK_HANDLE)
+
+!#ifdef SFX_MNH
+!#ifdef MNH_MPI_DOUBLE_PRECISION
+XSURF_TINY    = 1.0e-80
+!#else
+!XSURF_TINY    = TINY    (XSURF_TINY    )
+!#endif
+!#else
+XSURF_TINY    = 1.0e-80
+!#endif
+XSURF_TINY_12 = SQRT    (XSURF_TINY    )
+XSURF_EPSILON = EPSILON (XSURF_EPSILON ) * 10.0
+
+XPI         = 2.*ASIN(1.)
+XKARMAN     = 0.4
+XBOLTZ      = 1.380658E-23
+XLIGHTSPEED = 299792458.
+XPLANCK     = 6.6260755E-34
+XAVOGADRO   = 6.0221367E+23
+!
+!-------------------------------------------------------------------------------
+!
+!*       2.     ASTRONOMICAL CONSTANTS
+!               ----------------------
+!
+XDAY   = 86400.
+XSIYEA = 365.25*XDAY*2.*XPI/ 6.283076
+XSIDAY = XDAY/(1.+XDAY/XSIYEA)
+XOMEGA = 2.*XPI/XSIDAY
+NDAYSEC = 24*3600 ! Number of seconds in a day
+!
+!-------------------------------------------------------------------------------!
+!
+!
+!*       3.     TERRESTRIAL GEOIDE CONSTANTS
+!               ----------------------------
+!
+XRADIUS = 6371229.
+XG      = 9.80665
+!
+!-------------------------------------------------------------------------------
+!
+!*       4.     REFERENCE PRESSURE
+!               -------------------
+!
+XP00 = 1.E5
+XTH00 = 300.
+!-------------------------------------------------------------------------------
+!
+!*       5.     RADIATION CONSTANTS
+!               -------------------
+!
+!JUAN OVERFLOW XSTEFAN = 2.* XPI**5 * XBOLTZ**4 / (15.* XLIGHTSPEED**2 * XPLANCK**3)
+XSTEFAN = ( 2.* XPI**5 / 15. ) * ( (XBOLTZ / XPLANCK)* XBOLTZ ) * (XBOLTZ/(XLIGHTSPEED*XPLANCK))**2 
+XI0     = 1370.
+!
+!-------------------------------------------------------------------------------
+!
+!*       6.     THERMODYNAMIC CONSTANTS
+!               -----------------------
+!
+XMD    = 28.9644E-3
+XMV    = 18.0153E-3
+XRD    = XAVOGADRO * XBOLTZ / XMD
+XRV    = XAVOGADRO * XBOLTZ / XMV
+XCPD   = 7.* XRD /2.
+XCPV   = 4.* XRV
+XRHOLW = 1000.
+XRHOLI = 917.
+XCONDI = 2.22
+XCL    = 4.218E+3
+XCI    = 2.106E+3
+XTT    = 273.16
+XTTSI  = XTT - 1.8
+XICEC  = 0.5
+XTTS   = XTT*(1-XICEC) + XTTSI*XICEC
+XLVTT  = 2.5008E+6
+XLSTT  = 2.8345E+6
+XLMTT  = XLSTT - XLVTT
+XESTT  = 611.14
+XGAMW  = (XCL - XCPV) / XRV
+XBETAW = (XLVTT/XRV) + (XGAMW * XTT)
+XALPW  = LOG(XESTT) + (XBETAW /XTT) + (XGAMW *LOG(XTT))
+XGAMI  = (XCI - XCPV) / XRV
+XBETAI = (XLSTT/XRV) + (XGAMI * XTT)
+XALPI  = LOG(XESTT) + (XBETAI /XTT) + (XGAMI *LOG(XTT))
+!
+!-------------------------------------------------------------------------------
+!
+!*       7.     TURBULENCE CONSTANTS
+!               --------------------
+!
+! CALL INI_CTURBS
+!-------------------------------------------------------------------------------
+!
+!*       8.     OCEAN CONSTANTS
+!               ---------------
+!
+! CALL INI_OCEAN_CSTS
+!
+!*       9.     SURFACE CONSTANTS
+!               -----------------
+!
+! CALL INI_SURF_CSTS
+!IF (LHOOK) CALL DR_HOOK('INI_CSTS',1,ZHOOK_HANDLE)
+!
+!-------------------------------------------------------------------------------
+!
+END SUBROUTINE INI_CSTS 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_undefSTD.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_undefSTD.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/phylmd/ini_undefSTD.F90	(revision 4727)
@@ -31,5 +31,5 @@
   ! ====================================================================
 
-  ! ym #include "dimphy.h"
+  ! ym INCLUDE "dimphy.h"
   ! variables Input/Output
   ! INTEGER nlevSTD, klevSTD, itap
